package com.flyfish.framework.annotations;

import java.lang.annotation.*;

/**
 * 联动属性声明
 * @author wangyu
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ComputedProps {

    /**
     * 属性名
     * @return 结果
     */
    String prop();

    /**
     * 来自的字段值
     * @return 结果
     */
    String field() default "";

    /**
     * 表达式
     * @return 结果
     */
    String expression() default "";
}
